Irssi (SSA:2017-190-01) for Slackware
Posted on: 07/10/2017 08:21 AM

New irssi packages are available for Slackware 14.0, 14.1, 14.2, and -current to fix security issues

Irssi (SSA:2017-190-01) for Slackware


Here are the details from the Slackware 14.2 ChangeLog:
+--------------------------+
patches/packages/irssi-1.0.4-i586-1_slack14.2.txz: Upgraded.
This release fixes two remote crash issues as well as a few bugs.
For more information, see:
https://irssi.org/security/irssi_sa_2017_07.txt
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-10965
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-10966
(* Security fix *)
+--------------------------+


Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 14.0:
ftp://ftp.slackware.com/pub/slackware/slackware-14.0/patches/packages/irssi-1.0.4-i486-1_slack14.0.txz

Updated package for Slackware x86_64 14.0:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.0/patches/packages/irssi-1.0.4-x86_64-1_slack14.0.txz

Updated package for Slackware 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware-14.1/patches/packages/irssi-1.0.4-i486-1_slack14.1.txz

Updated package for Slackware x86_64 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.1/patches/packages/irssi-1.0.4-x86_64-1_slack14.1.txz

Updated package for Slackware 14.2:
ftp://ftp.slackware.com/pub/slackware/slackware-14.2/patches/packages/irssi-1.0.4-i586-1_slack14.2.txz

Updated package for Slackware x86_64 14.2:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.2/patches/packages/irssi-1.0.4-x86_64-1_slack14.2.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/n/irssi-1.0.4-i586-1.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/n/irssi-1.0.4-x86_64-1.txz


MD5 signatures:
+-------------+

Slackware 14.0 package:
87b988e8a87302f0ee3917a340b4c9b8 irssi-1.0.4-i486-1_slack14.0.txz

Slackware x86_64 14.0 package:
52c6601b41d94ca73329cd81c98a22e7 irssi-1.0.4-x86_64-1_slack14.0.txz

Slackware 14.1 package:
42b62c9e2e5a0eb4604c36a44871306d irssi-1.0.4-i486-1_slack14.1.txz

Slackware x86_64 14.1 package:
fb4f383fb573564edf512ebdcfcb8bce irssi-1.0.4-x86_64-1_slack14.1.txz

Slackware 14.2 package:
17cc4ee7de34cce9c1d9580e4bb3ee28 irssi-1.0.4-i586-1_slack14.2.txz

Slackware x86_64 14.2 package:
be9c0c60efa20e5e5128feaae5a6cd9b irssi-1.0.4-x86_64-1_slack14.2.txz

Slackware -current package:
9929782b9ccacab3cfb1c3afc4741199 n/irssi-1.0.4-i586-1.txz

Slackware x86_64 -current package:
6402f3e445cf08a454b07a718f0bb358 n/irssi-1.0.4-x86_64-1.txz


Installation instructions:
+------------------------+

Upgrade the package as root:
# upgradepkg irssi-1.0.4-i586-1_slack14.2.txz

After installing the updated package, one can issue the /upgrade command
to load the new binary. TLS connections will require /reconnect.



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/irssi_(ssa2017_190_01)_for_slackware.html)